## zope2.13 2.13.22

=== source/Zope2/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = ../bin/sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p .build/json .build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) .build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

## zope2.13 2.13.21

=== debian/changelog ===
zope2.13 (2.13.21-1ubuntu1) trusty; urgency=medium

  * Fix installation of README file.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Apr 2014 09:55:51 +0200

zope2.13 (2.13.21-1) unstable; urgency=high

  * New upstream release fixing security issues.
  * debian/control:
    + Make Vcs-Svn URI canonical.
  * debian/zopeZVER-sandbox.templates.in:
    + Fix lintian error as it expects 'for internal use', not 'Internal use'
      for debconf fields not intended for users to see.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 11 Sep 2013 16:39:52 +0900

zope2.13 (2.13.20-1) unstable; urgency=low

  [ Jonas Meurer ]
  * New major upstream release (2.13).
    - Update build scripts for Zope2.13.
    - Bump python version from 2.6 to 2.7.
    - Remove obsolete patch Zope2-remove_documenttemplate_release_script.patch
    - Update remaining patches.
  * Update Homepage field to point to correct page http://zope2.zope.org/.

  [ Arnaud Fontaine ]
  * Python 2.6 is going to be removed, so update asserts on Python version.
  * debian/control: bump Standards-Version to 3.9.4. No changes needed.
  * New major upstream release (2.13).
    + debian/control: update Vcs-* fields URL.
    + debian/patches/use-python-initgroups.patch:
      - Use os.initgroups (>= 2.7) rather than relying on a third-party
        module, keep it in DEB_SATISFIED as it is included in versions.cfg.
  * Ignore egg-info directory and setup.cfg in debian/source/options to avoid
    diff of files in this directory.
  * Call clean in distclean Makefile target to remove build directory even when
    only distclean target is called.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 28 May 2013 12:41:39 +0900

zope2.12 (2.12.26-1) unstable; urgency=high

  * New upstream release. Closes: #692899.
    + Fix Reflexive HTTP header injection (CVE-2012-5486).
    + Fix Timing attack in password validation (CVE-2012-5507).
    + Fix PRNG which wasn't reseeded (CVE-2012-5508).
  * debian/patches/CVE-2012-5505.patch:
    + Fix Attempting to access a view with no name returns an internal
      data structure (CVE-2012-5505). Thanks to Tres Seaver. Closes: #692899.
  * debian/control:
    + Bump zope.common required version as the debconf template
      has been updated. Closes: #656552.
  * debian/rules:
    + As dh_python (>= 2.7.3-1) rewrites shebangs by default, overriding
      dh_auto_install to fix shebangs does not work anymore as dh_python2 is
      called afterwards, instead use dh_python2 to rewrite them.
      - debian/control: bump python Build-Depends.
      - Drop now useless ZODB3-fix_shebang.patch.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 06 Mar 2013 18:46:14 +0900

zope2.12 (2.12.23-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bump Standards-Version to 3.9.3.
    + debian/copyright: update Format URL.
  * debian/watch: fix missing version delimiters in filename pattern.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 14 Jun 2012 09:44:20 +0900

zope2.12 (2.12.22-1) unstable; urgency=low

  * New upstream release (2.12.22)
    - Fixes cross-site-scripting attack (CVE-2010-1104).
    - Remove patch Zope2-fix_serious_authentication_vulnerability.patch,
      now incorporated upstream.

 -- Jonas Meurer <mejo@debian.org>  Thu, 19 Jan 2012 01:28:13 +0100

zope2.12 (2.12.20-3) unstable; urgency=low

  * Remove ClientForm from DEB_SATISFIED as it's going to be dropped soonish.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 16 Dec 2011 14:20:35 +0900

zope2.12 (2.12.20-2) unstable; urgency=high

  * Update Homepage field to point to correct page http://zope2.zope.org/.
  * Change Depends on zope-common from (>= 0.5.51) to (>= 0.5.51~), to ease
    backports to squeeze.
  * Add debian/patches/Zope2-fix_serious_authentication_vulnerability.patch,
    fixing a serious authentication vulnerability in stock configuration.
    No CVE number assigned yet.
    See https://mail.zope.org/pipermail/zope-dev/2011-October/043592.html
    for further information.
  * Set urgency=high in order to push the security fix to testing.

 -- Jonas Meurer <mejo@debian.org>  Fri, 28 Oct 2011 13:51:41 +0200

zope2.12 (2.12.20-1) unstable; urgency=low

  * Zope 2.12.20 release.

  [ Gael Le Mignot ]
  * Allowing to install eggs in lib/python of instances.

  [ Jonas Meurer ]
  * Remove Zope eggs from dependencies in debian/control, and from
    DEB_SATISFIED in debian/rules. All Zope dependencies are shipped
    with the local tarball. See README.source for further information.
  * Add python distribute modules to list of DEB_SATISFIED modules.
  * Remove python-transaction from depends and from DEB_SATISFIED. It's
    a zope module and should be included in the zope2.12 binary package.
  * Add python2.6 package to list of dependencies.
  * Major update and reformating of debian/copyright.
  * Bump standards-version to 3.9.2, no changes required.
  * Remove Suggests on zope-zopebook and zope-devguide. Neither of them are
    available in Debian archives.
  * Remove unused debian/patches/fix_lib_location.patch.
  * Enable and rename debian/patches/ZODB3-fix-shebang.patch.
  * Lintian overrides:
    - Remove unused lintian overrides package-contains-empty-directory and
      file-in-unusual-dir
    - Add lintian override wrong-path-for-interpreter for python wrapper
  * Add debian/README.source to explain the current packaging approach.
  * Install the upstream changelogs to /usr/share/doc/zope2.12/changelogs.
  * Remove upstream LICENSE.txt in eggs from zope2.12 binary package.
  * Remove scripts from EGG-INFO subfolders in zope2.12 binary package.
  * Add versions to dependencies on python modules for zope2.12 package.
  * Fix debian/build-scripts/fetch.py to lowercase dependency names before
    checking for them. gen_versions_cfg.py already writes lowercased names.
    Thanks to Michael Mulich for help with investigation.
  * Remove Michael Mulich from Uploaders field.
  * Migrate the package from dh_pysupport to dh_python2.


=== debian/control ===
Source: zope2.13
Section: zope
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Jonas Meurer <mejo@debian.org>,
           Arnaud Fontaine <arnau@debian.org>
Build-Depends: debhelper (>= 7.0.50~), lsb-release, python (>= 2.7.3-1~),
               python2.7-dev, python-setuptools,
               python-pkg-resources, python-pip (>= 0.8),
               zope-debhelper (>= 0.3.12)
Standards-Version: 3.9.4
X-Python-Version: 2.7
Homepage: http://zope2.zope.org/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-zope/zope2.13/trunk
Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zope2.13/trunk

Package: zope2.13
Architecture: any
Pre-Depends: zope-common (>= 0.5.52~)
Depends: lsb-base, ${shlibs:Depends}, debconf | debconf-2.0, ${misc:Depends},
         ${python:Depends},
         python-docutils (>= 0.7), python-mechanize (>= 0.1.11),
         python-pkg-resources (>= 0.6.16-1.1) | 
         python-pkg-resources (<< 0.6.15), python-tz
Provides: zope
Suggests: python-unit, python-profiler
Description: Open Source Web Application Server
 Zope is an open source web application server primarily written in
 the Python programming language. It features a transactional object
 database which can store not only content and custom data, but also
 dynamic HTML templates, scripts, a search engine, and relational
 database (RDBMS) connections and code.
 .
 It features a strong through-the-web development model, allowing you
 to update your web site from anywhere in the world. To allow for
 this, Zope also features a tightly integrated security model. Built
 around the concept of "safe delegation of control", Zope's security
 architecture also allows you to turn control over parts of a web site
 to other organizations or individuals.
 .
 This package contains the framework and libraries needed to run your
 own Zope 2.13 instance.

Package: zope2.13-sandbox
Architecture: all
Depends: debconf | debconf-2.0, ${misc:Depends}, ${zope:Depends}
Description: sandbox instance for the zope2.13 web application server
 This package creates a "sandbox" instance, getting all Zope
 products and packages available which are installed as Debian packages.
 .
 The sandbox is usable for development and testing. For production
 please setup your own Zope 2.13 instance using dzhandle utility.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/Z/Zope2/Zope2-(2\.13\.[\d]+)\.zip

## zope2.13 2.13.22

=== debian/changelog ===
zope2.13 (2.13.22-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Fix installation of README file, fixes FTBFS.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 04 Jan 2015 02:14:48 +0100

zope2.13 (2.13.22-1) unstable; urgency=medium

  * New upstream release.
    + debian/patches/use-python-initgroups.patch: Refreshed.
    + debian/build-scripts/gen_versions_cfg.py:
      - Handle relative extends file when parsing buildout recipe (versions)
        for generating versions for source tarball, previously was an
        absolute URL.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 11 Jun 2014 14:13:48 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zope2.13
 Section: zope
 Priority: optional
-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Jonas Meurer <mejo@debian.org>,
            Arnaud Fontaine <arnau@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), lsb-release, python (>= 2.7.3-1~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

##export DH_VERBOSE=1

ZVER:=2.13
ZOPE:=zope$(ZVER)
PYVER:=2.7
PYTHON:=python$(PYVER)
DEBIAN:=$(CURDIR)/debian
DEB_SATISFIED:=Docutils:distribute:mechanize:initgroups:pip:pytz
distribution:=$(shell lsb_release -is)

# get-orig-source variables
ZOPE_INDEX:=http://download.zope.org/Zope2/index/
SRC_VERSION:=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SRC_DIR:=$(ZOPE)-$(SRC_VERSION)
TARBALL:=$(ZOPE)_$(SRC_VERSION).orig.tar.gz

get-orig-source:
	rm -rf $(CURDIR)/$(SRC_DIR)
	mkdir $(CURDIR)/$(SRC_DIR)
	cd $(CURDIR)/$(SRC_DIR); \
	$(PYTHON) $(DEBIAN)/build-scripts/fetch.py \
		--versions-cfg-url=${ZOPE_INDEX}$(SRC_VERSION)/versions.cfg \
		--index=${ZOPE_INDEX}$(SRC_VERSION) \
		--exclude-singles=$(DEB_SATISFIED) \
		Zope2==$(SRC_VERSION)
	tar czf $(CURDIR)/../$(TARBALL) $(SRC_DIR)
	rm -rf $(CURDIR)/$(SRC_DIR)

%:
	dh --with python2 $@ 

override_dh_auto_clean:
	for f in debian/*.in; do \
		generated=`echo $$f | sed 's,.in$$,,;s,ZVER,$(ZVER),'`; \
		rm -f $$generated $$generated.tmp; \
	done
	dh_auto_clean --
	# quilt has issues applying permissions to non-existent files, so we'll need to apply executable permissions here
	chmod a+x configure

override_dh_auto_configure:
	./configure --prefix=/usr/lib/${ZOPE}

override_dh_auto_build:
	make PYTHON=$(PYTHON) \
	     DIST_EXCLUSIONS=$(DEB_SATISFIED)

override_dh_prep:
	for f in debian/*.in; do \
		generated=`echo $$f | sed 's,.in$$,,;s,ZVER,$(ZVER),'`; \
		sed -e 's,@ZVER@,$(ZVER),g' -e 's,@PYVER@,$(PYVER),g' $$f > $$generated.tmp; \
		if cmp --quiet "$$generated" "$$generated.tmp"; then \
			rm -f $$generated.tmp; \
		else \
			mv -f  $$generated.tmp $$generated; \
		fi; \
	done
	dh_prep --
	dh_installzopeinstance -pzope$(ZVER)-sandbox sandbox

override_dh_auto_install:
	make install PYTHON=$(PYTHON) DESTDIR=$(DEBIAN)/$(ZOPE)

        # install the changelogs
	dh_installchangelogs source/Zope2/doc/CHANGES.rst

	cd $(CURDIR)/source; for egg_src in *; do \
		if test "$$egg_src" != "Zope2"; then \
			egg_changes=$$(find $$egg_src -name CHANGES.txt -or -name NEWS.txt | head -n1); \
			if test -n "$$egg_changes"; then \
				cp $$egg_changes $(DEBIAN)/$(ZOPE)/usr/share/doc/$(ZOPE)/changelogs/changelog.$$egg_src; \
				echo "Copied changelog: $(DEBIAN)/$(ZOPE)/usr/share/doc/$(ZOPE)/changelogs/changelog.$$egg_src"; \
			fi; \
		fi; \
	done

	# remove extra license files
	find $(DEBIAN)/$(ZOPE)/usr/lib/$(ZOPE)/lib/python -type f -a \( -name LICENSE.txt -o -name COPYING.txt \) -exec rm -f {} \;

	# remove scripts from egg-info subfolders
	rm -r $(DEBIAN)/$(ZOPE)/usr/lib/$(ZOPE)/lib/python/*/EGG-INFO/scripts

	cp $(DEBIAN)/python_interpreter_template $(DEBIAN)/$(ZOPE)/usr/lib/$(ZOPE)/bin/python

override_dh_installdocs:
	dh_installdocs
ifeq ($(distribution),Ubuntu)
	if [ -f $(DEBIAN)/$(ZOPE)-sandbox/usr/share/doc/$(ZOPE)-sandbox/README.Debian; then \
	    mv $(DEBIAN)/$(ZOPE)-sandbox/usr/share/doc/$(ZOPE)-sandbox/README.Debian \
		$(DEBIAN)/$(ZOPE)-sandbox/usr/share/doc/$(ZOPE)-sandbox/README.Ubuntu; \
	fi
endif

override_dh_python2:
	dh_python2 --shebang="/usr/lib/zope$(ZVER)/bin/python"

override_dh_fixperms:
	dh_fixperms --
	# Setuptools apparently makes every .py file executable during the build.
	find $(DEBIAN)/$(ZOPE)/usr/lib/$(ZOPE)/lib/python/ -type f -perm /a+x -exec chmod a-x {} \;
	chmod 755 \
		$(DEBIAN)/$(ZOPE)/usr/lib/$(ZOPE)/lib/python/Zope2-*/ZPublisher/Client.py \
		$(DEBIAN)/$(ZOPE)/usr/lib/$(ZOPE)/lib/python/Zope2-*/ZPublisher/Test.py
	find $(DEBIAN)/$(ZOPE)/usr/lib/$(ZOPE)/lib/python -type f -a \
		\( -name \*.gif -o -name \*.html -o -name \*.dtml -o -name \*.txt -o -name \*.bat -o -name \*.jpg \) -exec chmod 644 {} \;
	chmod 644 $(DEBIAN)/$(ZOPE)/usr/lib/$(ZOPE)/lib/python/Zope2-*/Zope2/utilities/reindex_catalog.py
	chmod 755 $(DEBIAN)/$(ZOPE)/usr/lib/$(ZOPE)/bin/python

.PHONY: get-orig-source override_dh_auto_clean override_dh_auto_configure override_dh_auto_build override_dh_prep override_dh_auto_install override_dh_fixperms
